PHP Manual
Prev |  | Next

# zip_read

(PHP 4 >= 4.1.0, PECL)

zip_read -- Read next entry in a ZIP file archive

## Description

mixed zip_read ( resource zip [, int flags] )

Reads the next entry in a zip file archive.

## Parameters

zip

  A ZIP file previously opened with zip_open().

flags

  Bitmask of ZIP constants.

## Return Values

Returns a directory entry resource for later use with the zip_entry_... functions or `FALSE` if there's no more entries to read or number of error in case of other error.

## See Also

zip_open()
zip_close()
zip_entry_open()
zip_entry_read()

Prev | Home | Next
zip_open | Up | ZipArchive::addFile